2447452 - Select data having a column defined as java system class in a table may raise error 10788 after upgrade or downgrade-- SAP ASE | SAP Knowledge Base Article

SAP Knowledge Base Article - Preview

2447452 - Select data having a column defined as java system class in a table may raise error 10788 after upgrade or downgrade-- SAP ASE

Symptom

 

This KBA discusses a JAVA in ASE upgrade or downgrade issue that may occur when the following conditions are true:

  • 1) Upgrade target ASE version is 15.7 SP137 or 15.7 SP138 using SAPJRE, source ASE version was on 15.7 SP136 HF1 or lower version using Oracle JRE.

          Or

           2) Upgrade target ASE version is 16.0 SP02 or higher version, source ASE version was on a 16.0 release lower than SP01PL03 or a 15.7 release lower than 15.7 SP137.

  • The ASEs use java in ASE feature with parameters 'enable pci'=1 and 'enable java=1' in configuration file.
  • Source databases have columns defined as java system classes
  • For a query having column defined as java system class in a table which was created on previous release using Oracle JRE, it raised 10788 error after upgraded to a new release using SAPJRE. Sample error 10788 text:

Msg 10788, Level 16, State 1:
Server 'r16_2k', Line 1:
Operation failed because the object being deserialized belongs to class
'java.lang.String' which is incompatible with its declared class
'com.sun.corba.se.impl.activation.ServerTool'.
Command has been aborted.

  • For downgrade scenario, source ASE used SAPJVM, target ASE used Oracle JRE|JVM.

Ran query "select * from tab" on a 15.7SP63 ASE after downgraded the database from 15.7SP138:

Msg 10707, Level 16, State 1:

Server 'r157tj2_2k_nz', Line 1:

Unhandled Java Exception:

java.lang.ClassNotFoundException:

……

Command has been aborted.

  • Sample JRE|JVM versions:

In 15.7sp63 release directory on linux system:
/work/r157sp63/shared/ase/JRE-6_0_45_64BIT/bin
./java -version
java version "1.6.0_45"
Java(TM) SE Runtime Environment (build 1.6.0_45-b06)
Java HotSpot(TM) 64-Bit Server VM (build 20.45-b01, mixed mode)

(Oracle JRE|JVM).

 In 15.7sp138 release directory on linux system

/work/r157sp138/shared/ase/SAPJRE-8_1_022_64BIT/bin

./java -version
java version "1.8.0_92"
Java(TM) SE Runtime Environment (build 8.1.022)
SAP Java Server VM (build 8.1.022 25.51-b02, Jun 10 2016 15:43:47 - 81_REL - optU - linux amd

(SAP JRE|JVM).


Read more...

Environment

  • SAP Adaptive Server Enterprise (ASE) 15.7 SP137 and SP138
  • SAP Adaptive Server Enterprise (ASE) 16.0 SP02 or up

Product

SAP Adaptive Server Enterprise 15.7 ; SAP Adaptive Server Enterprise 16.0

Keywords

Error 10788, Msg 10788, ClassNotFoundException, enable pci, enable java, SAPJRE, PCI, get_xtypename, get_xtypeid   , KBA , BC-SYB-ASE , Sybase ASE Database Platform (non Business Suite) , Bug Filed

About this page

This is a preview of a SAP Knowledge Base Article. Click more to access the full version on SAP ONE Support launchpad (Login required).

Search for additional results

Visit SAP Support Portal's SAP Notes and KBA Search.